Name:           9base
Version:        6
Release:        1%{?dist}
Summary:        A port of various original Plan 9 tools for Unix
Group:          Applications/System
License:        LPL and MIT
URL:            http://tools.suckless.org/%{name}
Source0:        http://dl.suckless.org/tools/%{name}-%{version}.tar.gz
Patch0:         9base-6-config.patch
# Used for 'make install'
%global         _p9install /plan9
# http://lists.fedoraproject.org/pipermail/devel/2011-May/151626.html
%global         _p9bin %{_libexecdir}/plan9
%global         _p9data %{_libdir}/plan9

%description
This is a port of various original Plan 9 tools for Unix, based on
plan9port.

%prep
%setup -q
%patch0 -p1 -b .config

%build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} PREFIX=%{_p9install}
# Drop empty man-pages
cd %{buildroot}%{_p9install}/share/man/man1
for mp in *
do
    test -s ${mp} || rm -vf ${mp}
done
cd -
# Correct permissions
chmod 644 %{buildroot}%{_p9install}/etc/rcmain
chmod 644 %{buildroot}%{_p9install}/lib/troff/tmac/sendcover
chmod 644 %{buildroot}%{_p9install}/lib/troff/font/devutf/mkMAP
# Correct paths to rc
for script in \
    %{buildroot}%{_p9install}/lib/troff/tmac/sendcover \
    %{buildroot}%{_p9install}/lib/troff/font/devutf/mkMAP
do
    sed -i '1s?#!/bin/rc?#!%{_p9bin}/rc?' ${script}
done
# Install
mkdir -p %{buildroot}%{_p9bin}
mkdir -p %{buildroot}%{_p9data}
mv %{buildroot}%{_p9install}/bin/* %{buildroot}%{_p9bin}
mv %{buildroot}%{_p9install}/* %{buildroot}%{_p9data}
# Clean
rm -rf %{_p9install}

# We do not compress manpages so 9base man can read them too
%files
%doc LICENSE README
%doc %{_p9data}/share/man
%{_p9bin}
%{_p9data}/etc
%{_p9data}/lib

%changelog
* Thu May 26 2011 Petr Sabata <contyk@redhat.com> - 6-1
- Initial commit
